import { QueryWithResult } from 'alinea/core/Graph';
import { Reference } from 'alinea/core/Reference';
export interface ExporerItemSelect {
    id: string;
    type: string;
    workspace: string;
    root: string;
    title: string;
    i18nId?: string;
    childrenAmount?: number;
}
export interface ExplorerProps {
    query: QueryWithResult<ExporerItemSelect>;
    type: 'row' | 'thumb';
    virtualized?: boolean;
    max?: number;
    selectable?: Array<string> | boolean;
    selection?: Array<Reference>;
    toggleSelect?: (entry: ExporerItemSelect) => void;
    onNavigate?: (entryId: string) => void;
    showMedia?: boolean;
    withNavigation?: boolean;
    border?: boolean;
}
export declare function Explorer({ type, query, virtualized, max, selectable, selection, toggleSelect, onNavigate, withNavigation, showMedia, border }: ExplorerProps): import("react/jsx-runtime").JSX.Element;
